
Foreman - Bug #2617

Can't edit a host once it's created
Description

I create a VMware host using 1.2-stable. I add a particular module that I wrote that is parameterized.  Adding the module is fine,

override any of the parameters is fine, but then once i go back to edit that host, I get:

NoMethodError

undefined method `[]' for nil:NilClass

app/helpers/lookup_keys_helper.rb:84:in `host_key_with_diagnostic'

app/views/puppetclasses/_class_parameters.html.erb:11:in

`_app_views_puppetclasses__class_parameters_html_erb___1822180994_70099312382360'

app/views/puppetclasses/_class_parameters.html.erb:3:in `each'

app/views/puppetclasses/_class_parameters.html.erb:3:in `each_with_index'

app/views/puppetclasses/_class_parameters.html.erb:3:in

`_app_views_puppetclasses__class_parameters_html_erb___1822180994_70099312382360'

app/views/puppetclasses/_classes_parameters.html.erb:12:in

`_app_views_puppetclasses__classes_parameters_html_erb__521424405_70099312499500'

app/views/hosts/_form.html.erb:83:in `_app_views_hosts__form_html_erb___1066644366_70099314640420'

app/helpers/layout_helper.rb:209:in `form_for'

app/views/hosts/_form.html.erb:7:in `_app_views_hosts__form_html_erb___1066644366_70099314640420'

app/models/taxonomy.rb:55:in `as_taxonomy'

lib/foreman/thread_session.rb:140:in `as_location'

app/models/taxonomy.rb:54:in `as_taxonomy'

lib/foreman/thread_session.rb:105:in `as_org'

app/models/taxonomy.rb:53:in `as_taxonomy'

app/views/hosts/_form.html.erb:5:in `_app_views_hosts__form_html_erb___1066644366_70099314640420'

app/views/hosts/edit.html.erb:7:in `_app_views_hosts_edit_html_erb___1124867671_70099314984960'

lib/foreman/thread_session.rb:31:in `clear_thread'

Puppet module, more full debug output attached.

Associated revisions

Revision 31b0ec6e - 06/05/2013 11:50 AM - Amos Benari

fixes #2617 Can't edit a host once it's created

Revision b9b0906f - 06/05/2013 02:43 PM - Amos Benari

fixes #2617 Can't edit a host once it's created

(cherry picked from commit 31b0ec6e23eea12ec76e25c1082174ebe83fd965)

History

#1 - 06/04/2013 06:53 PM - Greg Sutcliffe

- Status changed from New to Assigned

- Assignee set to Amos Benari

I tripped over this the other day - @Amos Benari, can you take a look?
https://projects.theforeman.org/users/563


#2 - 06/05/2013 06:03 AM - Amos Benari

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/691

#3 - 06/05/2013 09:08 AM - Patrick Cable

Yep, that fixes the problem. Thanks!

#4 - 06/05/2013 12:17 PM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 31b0ec6e23eea12ec76e25c1082174ebe83fd965.
fulldebug.txt 33.9 KB 06/04/2013 Patrick Cable

dirsrv-module.txt 1.98 KB 06/04/2013 Patrick Cable
